import { FC } from 'react';
import { PDFDocumentProxy } from "pdfjs-dist/types/display/api";
export interface PdfViewerProps {
    /**
     * pdf文件地址
     */
    pdfUrl: string | null;
    /**
     * pdf缩放比. 默认:1.5
     */
    scale?: number;
}
/**
 * 渲染pdf文件的指定页到画板
 * @param pdfViewerDom 承载pdf画板的dom容器
 * @param pdfDoc pdf文件
 * @param pageNum 需要渲染的页码
 * @param scale 缩放比例
 */
export declare function renderPdfOnePage(pdfViewerDom: HTMLDivElement, pdfDoc: PDFDocumentProxy, pageNum: number, scale: number): void;
/**
 * 完整显示pdf内容
 * @param props
 * @constructor
 */
declare const PdfViewer: FC<PdfViewerProps>;
export default PdfViewer;
