import { FC } from 'react';
import { PdfViewerProps } from "./PdfViewer";
interface PdfViewerByPageProps extends PdfViewerProps {
    /**
     * 当前显示页号. 页号从1开始. 默认为:1
     */
    pageNum: number;
    /**
     * pdf加载完毕之后,使得外部能够获取到总页数
     * @param totalPage pdf的总页数
     */
    getTotalPage?: (totalPage: number) => void;
}
/**
 * 分页方式显示pdf内容
 * @param props
 * @constructor
 */
declare const PdfViewerByPage: FC<PdfViewerByPageProps>;
export { PdfViewerByPage };
